Package io.vertx.config

## Class ConfigRetrieverOptions

- java.lang.Object
- - io.vertx.config.ConfigRetrieverOptions

-     public class ConfigRetrieverOptions
      extends Object

  Options to configure the `ConfigRetriever`.
  Author:
    Clement Escoffier

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConfigRetrieverOptions()` |
    `ConfigRetrieverOptions​(ConfigRetrieverOptions other)` |
    `ConfigRetrieverOptions​(JsonObject json)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ConfigRetrieverOptions` | `addStore​(ConfigStoreOptions options)` | Adds a store to the list of stores.
    `long` | `getScanPeriod()` |
    `List<ConfigStoreOptions>` | `getStores()` |
    `boolean` | `isIncludeDefaultStores()` |
    `ConfigRetrieverOptions` | `setIncludeDefaultStores​(boolean includeDefaultStores)` | Enables or disables the inclusion of the default stored in the configuration.
    `ConfigRetrieverOptions` | `setScanPeriod​(long scanPeriod)` | Configures the scan period, in ms.
    `ConfigRetrieverOptions` | `setStores​(List<ConfigStoreOptions> stores)` | Sets the configuration stores.
    `JsonObject` | `toJson()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConfigRetrieverOptions

          public ConfigRetrieverOptions()

    - #### ConfigRetrieverOptions

          public ConfigRetrieverOptions​(ConfigRetrieverOptions other)

    - #### ConfigRetrieverOptions

          public ConfigRetrieverOptions​(JsonObject json)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### isIncludeDefaultStores

          public boolean isIncludeDefaultStores()

      Returns:
        whether or not the default stored are included in the configuration.

    - #### setIncludeDefaultStores

          public ConfigRetrieverOptions setIncludeDefaultStores​(boolean includeDefaultStores)

      Enables or disables the inclusion of the default stored in the configuration.
      Parameters:
        `includeDefaultStores` - `true` to include the default stores.
      Returns:
        the current `ConfigStoreOptions`

    - #### getScanPeriod

          public long getScanPeriod()

      Returns:
        the scan period in ms.

    - #### setScanPeriod

          public ConfigRetrieverOptions setScanPeriod​(long scanPeriod)

      Configures the scan period, in ms. This is the time amount between two checks of the configuration updates.
      Parameters:
        `scanPeriod` - the scan period in ms
      Returns:
        the current `ConfigStoreOptions`

    - #### getStores

          public List<ConfigStoreOptions> getStores()

      Returns:
        the current list of stores.

    - #### setStores

          public ConfigRetrieverOptions setStores​(List<ConfigStoreOptions> stores)

      Sets the configuration stores.
      Parameters:
        `stores` - the list of stores.
      Returns:
        the current `ConfigStoreOptions`

    - #### addStore

          public ConfigRetrieverOptions addStore​(ConfigStoreOptions options)

      Adds a store to the list of stores.
      Parameters:
        `options` - the store configuration
      Returns:
        the current `ConfigStoreOptions`